import React from "react";
import Button from "@material/react-button";
import styled from "styled-components";

const StyledButton = styled("button")`
  background-color: ${(props) =>
    `${props.theme === "light" ? "#18c7fe" : "rgb(39, 42, 61)"}`};
  border: none;
  text-transform: uppercase;
  padding: 12px 30px;
  color: #fff;
  cursor: pointer;
  border-radius: 4px;
  &:hover {
    background-color: ${(props) =>
      `${props.theme === "light" ? "#12afe0" : "hsla(0, 1%, 28%, 0.2)"}`};
  }
  &:disabled {
    cursor: not-allowed;
  }
`;

const ButtonComponent = ({ onClick, buttonText, disabled, theme }) => (
  <StyledButton theme={theme} onClick={onClick} disabled={disabled}>
    {buttonText}
  </StyledButton>
);

export default ButtonComponent;
