/* eslint-disable no-param-reassign */
import React, { Component } from "react";
import PropTypes from "prop-types";

class ErrorBoundary extends Component {
  state = { hasError: false };

  componentDidCatch(error) {
    this.setState({ hasError: true });
    console.log("errorBoundary", error);
  }

  render() {
    if (this.state.hasError) {
      return (
        <div>
          {this.props.component ? (
            <h4>{`Oops! Something went wrong in ${this.props.component}. Please refresh.`}</h4>
          ) : (
            <h1>Oops! Something went wrong. Please refresh.</h1>
          )}
        </div>
      );
    }
    return this.props.children;
  }
}

ErrorBoundary.propTypes = {
  children: PropTypes.oneOfType([
    PropTypes.element,
    PropTypes.func,
    PropTypes.node,
    PropTypes.string,
  ]).isRequired,
};

export default ErrorBoundary;
