import "@testing-library/jest-dom";
import React from "react";
// redux-utils
// testing-library
import { render, screen } from "@testing-library/react";
import userEvent from "@testing-library/user-event";
// views
import ImageDisplay from "./index";

const imagesDummyData = [
  {
    type: "shelf",
    path: "https://storage.googleapis.com/infilect-infiviz/media/input_image/pg-indo/ID-BCPW00405/2022/02/09/06/2022_02_09_1644388170178.jpg?Expires=1645451200&GoogleAccessId=infilect-huew%40infilect-208023.iam.gserviceaccount.com&Signature=XA2NlUT7n%2FIq9Dk1w8FW5qgGFdzZCjViR4v9DdLCjufSV2%2Frj5G05Xdgt%2FVl4BzkKT2HUd%2Fm26UTAyn4zKmKAVSNL9XkjKIumXozr1hsSFDlGmeCdmDhlROSYE%2FAVGJDRSw1Y0Q74xbUC18Hnz2oPfImBAMoz45EJ6KbiDip5ebYYmcICyZnG6H%2BVoOQ3UyvlRyNDgwGaEFh60fPZQZQCASiVP2I672zMslUuounqLk9saC4DjcoFDvbvhNlwkosebeXeml9tedYUnKe4btTgDtcSVvy079AfoqLGg%2BPRBZR75PcNpt5PkH2gaJBE3qgZowNTKnwGERpHwfa7K7YWw%3D%3D",
    width: 1920,
    direction: "",
    height_ratio: 0.740740740740741,
    width_ratio: 0.740740740740741,
    height: 1080,
    displays: [
      {
        type: "Bay",
        coords: "1659,52,1665,1070,280,1060,273,628,330,12,1472,5",
        brand: "Others",
      },
    ],
    scaled_img:
      "https://storage.googleapis.com/infilect-infiviz/media/scaled_img/2022/02/09/06/1644388387.5085518.jpg?Expires=1645451200&GoogleAccessId=infilect-huew%40infilect-208023.iam.gserviceaccount.com&Signature=LbhkqlRBU3SR9b9bNUVzPLmyyLStcFWBiwT3g6RO%2BZ%2FMU4LF5b85kR%2FgWvR0JbK%2FMCVORbLL9%2FE2egmLjSIP90%2BDXBCEZchPCetXUZ6aXS9gpP9jUPoBduVwciywZeRDZpNg0wAZDbcPa6jJOBMVtPvpGz7LwrjjtYePBtnSXAlQ9CChGi3u2Cux%2Bnr0TNzMgY2iA8ETb6VOsO1YLCwBOEPgd%2FCyT02gXi5ljBjqsTxiS0gSwA67h3HHBFRygV6G1AblOdWLK2j6DubSNmIdGmz91%2BaqYtmycf00BlLw6l5yMbm8Yse2gPRxivcVdx1Ke%2FUgYGSHdQ1c78w8GZygLQ%3D%3D",
    id: 251048,
  },
];

describe("Shelf images Integration test", () => {
  const handleLogin = jest.fn();

  it("renders the Shelf page", () => {
    const { getByTestId } = render(
      <ImageDisplay
        images={imagesDummyData}
        testing={true}
        setShowAnchor={() => {}}
      />
    );

    const imageDisplay = getByTestId("imageDisplay-container");
    const imageSection = getByTestId("image-section");

    expect(imageDisplay).toContainElement(imageSection);
  });

  it("does not render the Shelf images", () => {
    const { getByTestId, queryByTestId } = render(
      <ImageDisplay images={[]} testing={true} setShowAnchor={() => {}} />
    );

    const imageDisplay = getByTestId("imageDisplay-container");
    const imageSection = queryByTestId("image-section");

    expect(imageDisplay).not.toContainElement(imageSection);
  });
});
