import "@testing-library/jest-dom";
import React from "react";
// redux-utils
// testing-library
import { render, screen } from "@testing-library/react";
import userEvent from "@testing-library/user-event";
// views
import Login from "login/index";

describe("User Login Integration test", () => {
  const handleLogin = jest.fn();

  it("renders the Login page", () => {
    render(<Login />);
    expect(screen.getByText(/login/i)).toBeInTheDocument();
  });

  it("renders a submit button", () => {
    render(<Login />);
    expect(screen.getByRole("button", { name: /login/i })).toBeInTheDocument();
  });

  it("submit button click should call handleLogin function", () => {
    render(<Login submitHandlerForTest={handleLogin} />);
    userEvent.click(screen.getByRole("button", { name: /login/i }));

    expect(handleLogin).toHaveBeenCalledTimes(1);
  });
});
